import { DescItem } from '@/components/Description';
import { TreeItem } from '@/components/Tree';

export const personSchema: DescItem[] = [
  {
    field: 'fieldCode',
    label: '字段code',
  },
  {
    field: 'sensitiveState',
    label: '敏感状态',
  },
  {
    field: 'level',
    label: '安全分级',
  },
  {
    field: 'sensitiveType',
    label: '敏感类型',
  },
];
export const infoList = [
  {
    businessId: '301',
    fieldCode: 'id',
    sensitiveState: '非敏感',
    level: 'G2',
    sensitiveType: 'AccessKey ID',
  },
  {
    businessId: '120',
    fieldCode: 'password',
    sensitiveState: '敏感',
    level: 'G1',
    sensitiveType: '钱包类型',
  },
];

export const tableList: any[] = [
  {
    businessId: '301',
    fieldName: 'id',
    fieldType: '请求入参',
    fieldCode: 'id',
    APIName: 'xw-input&o..',
    path: '共享工作区/test/托管系统',
    APIModel: '向导模式',
  },
  {
    businessId: '120',
    fieldName: 'password',
    fieldType: '请求入参',
    fieldCode: 'password',
    APIName: 'WARP-106319',
    path: '共享工作区/test/托管系统',
    APIModel: '托管模式',
  },
];

export const tableRulesList: any[] = [
  {
    businessId: '401',
    object: '系统管理员',
    priority: '高',
    ProtectiveAction: '放行',
  },
  {
    businessId: '402',
    object: 'admin',
    objectProperties:'用户',
    priority: '中',
    ProtectiveAction: '脱敏',
  },
  {
    businessId: '403',
    object: '数据平台整理部',
    objectProperties:'机构',
    priority: '高',
    ProtectiveAction: '放行',
  },
];

export const treeData: TreeItem[] = [
  {
    name: '本页用户',
    key: '1-2',


  },
  {
    name: 'admin(admin)',
    key: '1-3',

  },
];

export const treeDataTwo: TreeItem[] = [
  {
    title: '全部结构 ',
    key: '1-0',
    children: [],
  },
  {
    title: '机构管理 ',
    key: '0-0',
    icon: 'ion:settings-outline',
    children: [
      {
        title: '数据平台治理部',
        key: '0-0-1',
        children: [
          {
            key: '0-0-1-1',
          },
        ],
      },
      {
        title: '系统管理',
        key: '0-0-2',
        icon: 'ion:settings-outline',
        children: [
          {
            key: '0-0-2-1',
          }
        ],
      },
      {
        title: '数据资源管理部',
        key: '0-0-3',
        icon: 'ion:settings-outline',
        children: [
          {
            key: '0-0-3-1',
          }
        ],
      },
    ],
  },
];
